# @(#)72   1.4   src/csm/install/pkgdefs/Linux-RedHat7.3.pm.perl, setup, csm_rrigh, rrigh0424a.1 1/16/03 17:20:27
# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2003 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 
#  Package Definition File:  RedHat 7.3
#
# The following variables must be set before including this file:
#  $::mgmt_type   = MgmtServer | MgdNode
#  $::csm_version = 1.2.0, 1.3.0, etc.

package RedHat73;

#  Load base Linux definitions:
#require "/opt/csm/install/pkgdefs/linux";

NodeUtils->messageFromCat('csmInstall.cat',$::MSGMAPPATH,'csminstall','V', 'IMsgLoading', "/opt/csm/install/pkgdefs/Linux-RedHat7.3.pm");

%::pkgdefs = ();

$::pkgdefs{DISTRO_NAME}        = "Red Hat Linux 7.3";
$::pkgdefs{DISTRO_DISKLIST}    = "1 2 3";
$::pkgdefs{DISTRO_RPMDIR}      = "RedHat/RPMS";

# Open Source Prereqs to Install
my $opensrc_prereqs;
$opensrc_prereqs{'MgmtServer'}{'1.3.1'} 
	    = ['atftp','syslinux','IBMJava2-JRE-1.3','conserver'];
$opensrc_prereqs{'MgdNode'}{'1.2.0'} = [];
$opensrc_prereqs{'MgdNode'}{'1.3.0'} = ['autoupdate'];
$opensrc_prereqs{'MgdNode'}{'1.3.1'} = ['autoupdate'];

if ($::ITDAGENT eq "true")
{
   push (@{$opensrc_prereqs{'MgmtServer'}{'1.3.1'}}, 'ITDAgent');
   push (@{$opensrc_prereqs{'MgdNode'}{'1.3.0'}}, 'ITDAgent');
   push (@{$opensrc_prereqs{'MgdNode'}{'1.3.1'}}, 'ITDAgent');
}

$::pkgdefs{opensrc_prereqs} = $opensrc_prereqs{$::mgmt_type}{$::csm_version};


# RSCT Packages to Install
my $rsct_packages;
$rsct_packages{'MgmtServer'}{'1.3.1'}
	    =['src','rsct.core.utils','rsct.core','rsct.basic'];
$rsct_packages{'MgdNode'}{'1.2.0'}
	    =['src','rsct.core.utils','rsct.core','rsct.basic'];
$rsct_packages{'MgdNode'}{'1.3.0'}
	    =['src','rsct.core.utils','rsct.core','rsct.basic'];
$rsct_packages{'MgdNode'}{'1.3.1'}
	    =['src','rsct.core.utils','rsct.core','rsct.basic'];
$::pkgdefs{rsct_packages} = $rsct_packages{$::mgmt_type}{$::csm_version};


# CSM Packages to Install
my $csm_packages;
$csm_packages{'MgmtServer'}{'1.3.1'}
	    = ['csm.core','csm.dsh','csm.server','csm.diagnostics',
	       'csm.gui.dcem'];
$csm_packages{'MgdNode'}{'1.2.0'}
	    = ['csm.core','csm.client'];
$csm_packages{'MgdNode'}{'1.3.0'}
	    = ['csm.core','csm.client','csm.diagnostics'];
$csm_packages{'MgdNode'}{'1.3.1'}
	    = ['csm.core','csm.client','csm.diagnostics'];
$::pkgdefs{csm_packages} = $csm_packages{$::mgmt_type}{$::csm_version};

# Director Packages to Install
my $director_packages;
$director_packages{'MgmtServer'}{'1.3.1'}
	    = ['csm.director.agent','csm.director.server'];
$director_packages{'MgdNode'}{'1.2.0'}=[];
$director_packages{'MgdNode'}{'1.3.0'}
	    = ['csm.director.agent','csm.director.server'];
$director_packages{'MgdNode'}{'1.3.1'}
	    = ['csm.director.agent','csm.director.server'];
$::pkgdefs{director_packages} = $director_packages{$::mgmt_type}{$::csm_version};


# Packages to uninstall
my $rsct_unpackages;
$rsct_unpackages{'MgmtServer'}{'1.3.1'}=['src','rsct.core.utils','rsct.core'];
$rsct_unpackages{'MgdNode'}{'1.2.0'}=['src','rsct.core.utils','rsct.core'];
$rsct_unpackages{'MgdNode'}{'1.3.0'}=['src','rsct.core.utils','rsct.core'];
$rsct_unpackages{'MgdNode'}{'1.3.1'}=['src','rsct.core.utils','rsct.core'];
$::pkgdefs{rsct_unpackages} = $rsct_unpackages{$::mgmt_type}{$::csm_version};

my $csm_unpackages;
$csm_unpackages{'MgmtServer'}{'1.3.1'}=['csm.dsh','csm.server','csm.diagnostics','csm.gui.dcem'];
$csm_unpackages{'MgdNode'}{'1.2.0'}=['csm.core','csm.client'];
$csm_unpackages{'MgdNode'}{'1.3.0'}=['csm.core','csm.diagnostics','csm.client'];
$csm_unpackages{'MgdNode'}{'1.3.1'}=['csm.core','csm.diagnostics','csm.client'];
$::pkgdefs{csm_unpackages} = $csm_unpackages{$::mgmt_type}{$::csm_version};

# Directories to uninstall from the management server
# This variable used to be named csmUnistallList_dir
my $csm_uninstall_dirs;
$csm_uninstall_dirs{'MgmtServer'}{'1.3.1'}=['/csminstall','/cfmroot'];
$csm_uninstall_dirs{'MgdNode'}{'1.2.0'}=[];
$csm_uninstall_dirs{'MgdNode'}{'1.3.0'}=[];
$csm_uninstall_dirs{'MgdNode'}{'1.3.1'}=[];
$::pkgdefs{csm_uninstall_dirs} = $csm_uninstall_dirs{$::mgmt_type}{$::csm_version};

# Packages to NOT uninstall
# This variable used to be named csmUnistallList_pack
my $csm_nouninstall_pkgs;
$csm_nouninstall_pkgs{'MgmtServer'}{'1.3.1'}=['csm.core'];
$csm_nouninstall_pkgs{'MgdNode'}{'1.2.0'}=[];
$csm_nouninstall_pkgs{'MgdNode'}{'1.3.0'}=[];
$csm_nouninstall_pkgs{'MgdNode'}{'1.3.1'}=[];
$::pkgdefs{csm_nouninstall_pkgs} = $csm_nouninstall_pkgs{$::mgmt_type}{$::csm_version};

# CSM binaries copied to /csminstall/csm directory
my $csm_bin_copy_csm;
$csm_bin_copy_csm{'1.2.0'}=['/opt/csm/csmbin/updatenode.client','/opt/csm/csmbin/write_status','/opt/csm/msgmaps/csmInstall.csminstall.map','/opt/csm/pm/NodeUtils.pm','/opt/csm/pm/InstallUtils.pm','/opt/csm/pm/CSMDefs.pm','/opt/csm/msgmaps/nodecmds.NodeUtils.map','/opt/csm/csmbin/rmnode_client','/opt/csm/bin/setupconsole','/opt/csm/csmbin/makenode','/opt/csm/csmbin/csmprereboot','/opt/csm/csmbin/csmfirstboot','/usr/bin/atftp','/opt/csm/install/defs','/opt/csm/install/pkgdefs'];
$csm_bin_copy_csm{'1.3.0'}=['/opt/csm/csmbin/updatenode.client','/opt/csm/csmbin/write_status','/opt/csm/msgmaps/csmInstall.csminstall.map','/opt/csm/pm/NodeUtils.pm','/opt/csm/pm/InstallUtils.pm','/opt/csm/pm/CSMDefs.pm','/opt/csm/msgmaps/nodecmds.NodeUtils.map','/opt/csm/csmbin/rmnode_client','/opt/csm/bin/setupconsole','/opt/csm/csmbin/makenode','/opt/csm/csmbin/csmprereboot','/opt/csm/csmbin/csmfirstboot','/usr/bin/atftp','/opt/csm/install/defs','/opt/csm/install/pkgdefs'];
$csm_bin_copy_csm{'1.3.1'}=['/opt/csm/csmbin/updatenode.client','/opt/csm/csmbin/write_status','/opt/csm/msgmaps/csmInstall.csminstall.map','/opt/csm/pm/NodeUtils.pm','/opt/csm/pm/InstallUtils.pm','/opt/csm/pm/CSMDefs.pm','/opt/csm/msgmaps/nodecmds.NodeUtils.map','/opt/csm/csmbin/rmnode_client','/opt/csm/bin/setupconsole','/opt/csm/csmbin/makenode','/opt/csm/csmbin/csmprereboot','/opt/csm/csmbin/csmfirstboot','/usr/bin/atftp','/opt/csm/install/defs','/opt/csm/install/pkgdefs'];
$::pkgdefs{csm_bin_copy_csm} = $csm_bin_copy_csm{$::csm_version};

# CSM binaries copied to /tftpboot directory
my $csm_bin_copy_tftpboot;
$csm_bin_copy_tftpboot{'1.2.0'}=['/usr/lib/syslinux/pxelinux.0'];
$csm_bin_copy_tftpboot{'1.3.0'}=['/usr/lib/syslinux/pxelinux.0'];
$csm_bin_copy_tftpboot{'1.3.1'}=['/usr/lib/syslinux/pxelinux.0'];
$::pkgdefs{csm_bin_copy_tftpboot} = $csm_bin_copy_tftpboot{$::csm_version};

# REMOVE THE USE OF THIS VARIABLE FROM installms and installnode
# Csm binaries copied to /csminstall/csm/<csmVersion> directory
# There are no longer any version specific tools to copy.  Everything
# is in /csminstall/csm.  The kickstart files are still in 
# /csminstall/csm/<csmVersion>/<RedHatVersion>, so don't remove the
# <csmVersion> directory.
#my $csm_bin_copy_csmver;
#$csm_bin_copy_csmver{'1.2.0'}=[];
#$csm_bin_copy_csmver{'1.3.0'}=[];
#$csm_bin_copy_csmver{'1.3.1'}=[];
#$::pkgdefs{csm_bin_copy_csmver} = $csm_bin_copy_csmver{$::csm_version};

# Operating System pre-requisites
# This variable used to be named Linux_os_prereqs
# NOTE:  These variable names have changed slightly.  Now, both are merged
#        into os_prereqs, and there is a $::mgmt_type argument.  The
#        Linux_client_os_prereqs array is gone.
#        Changes required in installms, copycsmpkgs and makenode
my $os_prereqs;
$os_prereqs{'MgmtServer'}=['perl-5*','nfs-utils-*','pdksh-*','dhcp-*','rdist-6*','expect-5.32*','tcl-8.3*','tk-8.3*','XFree86-libs-4.2*','freetype-2.0*'];
$os_prereqs{'MgdNode'}=['perl-5*','nfs-utils-*','pdksh-*','rdist-6*','perl-libnet-1.09*'];
$::pkgdefs{os_prereqs} = $os_prereqs{$::mgmt_type};

# CSM Log files ( used while uninstalling)
my $logfiles;
$logfiles{'MgmtServer'}=['/var/log/csm/csmsetupks.log*','/var/log/csm/installnode.log*','/var/log/csm/updatenode.log*','/var/log/csm/installms.log*'];
$logfiles{'MgdNode'}=['/var/log/csm/install.log*','/var/opt/csm/cfmlocal*'];
$::pkgdefs{logfiles} = $logfiles{$::mgmt_type};

1;  # end
