# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2003 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 
#####################################################################
#                                                                   #
# Module:  CSMDefs.pm                                               #
#                                                                   #
#                                                                   #
# Description:   This module contains definitions used by CSM       #
#                commands.  These are definitions of CSM            #
#                directories and commands.  These definitions       #
#                are not specific to any operating system or        #
#                distribution.                                      #
#                                                                   #
# Subroutines:   None                                               #
#                                                                   #
# Notes:                                                            #
#                                                                   #
#####################################################################
# @(#)46   1.5.1.2   src/csm/install/CSMDefs.pm.perl, setup, csm_rrigh, rrigh0424a.1 2/25/03 14:45:30
package CSMDefs;

BEGIN  {
    use File::Basename;      # - this gives us the path of the command
    ($::Bin) = dirname($0);  # - for this command we assume the modules and 
                             #     message maps are in the same place
}
use lib "$::Bin";

use NodeUtils;


#-------------------------------------------------------------------
#    Global Definitions
#-------------------------------------------------------------------

#--Default Values--
$::MS_INSTALL_SERVER =1; #management server is an install server (by default)
$::SERVER_DIRECTORY = "/csmserver"; #directory used to store CSM repository on Install servers

$::NOK=1;
$::OK=0;

$::LCSEXT     =  "true";  # LCS extension rpms on CSM CD?
$::ITDAGENT   =  "false"; # ITDAgent rpm on CSM CD?


$::CSMTOP                = "/opt/csm";
$::CSMREQS               = $::CSMTOP  . "/reqs";
$::CSMBIN                = $::CSMTOP  . "/bin";
$::CSMCSMBIN             = $::CSMTOP  . "/csmbin";
$::DSH                   = $::CSMBIN  . "/dsh";
$::ADDLCSEXT             = $::CSMBIN  . "/addlcsext";
$::RMLCSEXT              = $::CSMBIN    . "/rmlcsext";
$::UPDATENODE            = $::CSMBIN    . "/updatenode";
$::CREATENODE            = $::CSMCSMBIN . "/createnode";

$::TFTPBOOT              = "/tftpboot";
$::PXELINUX_CFG_DIR      = "/tftpboot/pxelinux.cfg";
$::RPOWER                = $::CSMBIN . "/rpower";
$::MONITORINSTALL        = $::CSMBIN . "/monitorinstall";

#csm commands
$::MKGETMACRD            = "/opt/csm/csmbin/mkgetmacrd";
$::GETMACS               = "/opt/csm/bin/getmacs";
$::CREATEDHCP            = "/opt/csm/csmbin/createdhcp";
$::UPDATEDHCP            = "/opt/csm/csmbin/updatedhcp";

$::CSM2NIMGRPS           = $::CSMBIN  . "/csm2nimgrps";
$::CSM2NIMNODES          = $::CSMBIN  . "/csm2nimnodes";
$::NODEGRP               = $::CSMBIN  . "/nodegrp";

# CSM definitions
$::LOGFILE_HANDLE        = undef;
$::CSMLOG                = "/var/log/csm";
$::CSMSETUPKS_LOG        = $::CSMLOG . "/csmsetupks.log";
$::INSTALLNODE_LOG       = $::CSMLOG . "/installnode.log";
$::MAKENODE_LOG          = $::CSMLOG . "/makenode.log";
$::UPDATENODE_LOG        = $::CSMLOG . "/updatenode.log";
$::CSMPREREBOOT_LOG      = $::CSMLOG . "/csmprereboot.log";
$::CSMFIRSTBOOT_LOG      = $::CSMLOG . "/csmfirstboot.log";
$::INSTALLMSLOG          = $::CSMLOG . "/installms.log";
$::CSMSETUPSIS_LOG       = $::CSMLOG . "/csmsetupsis.log";
$::COPYSISRPMS_LOG       = $::CSMLOG . "/copysisrpms.log";
$::MKSIIMAGE_LOG         = $::CSMLOG . "/mksiimage.log";
$::INSTALL_LOG           = "/var/log/csm/install.log";

$::LSNODE                =  "/opt/csm/bin/lsnode";
$::CHNODE                =  "/opt/csm/bin/chnode";
$::MGMTSVR               =  "/opt/csm/bin/mgmtsvr";
$::CFORCE                =  "/opt/csm/bin/cfmupdatenode";
$::SMSUPDATENODE         =  "/opt/csm/bin/smsupdatenode";
$::CFGINFOFILE           =  "/opt/csm/install/configinfo";
$::CSMCFGDIR             =  "/csminstall/csm/config/";
$::NODEMAP_FILE          =  "$::CSMCFGDIR/nodemap";
$::CSMINSTDIR            =  "/csminstall";
$::CSMSTATUSLINK	 = "$::CSMINSTDIR/csm/status";
$::CSMSTATUSDIR		 = "/tftpboot/status";
$::OPTCSMINSTALL         =  "/opt/csm/install";
$::RMNODE                =  "/opt/csm/bin/rmnode";
$::REMOTESHELL_EXPECT    =  "/opt/csm/csmbin/remoteshell.expect";

# ----------SSS NEW
$::OSDEFS                = $::OPTCSMINSTALL . "/defs";
$::PKGDEFS               = $::OPTCSMINSTALL . "/pkgdefs";
# ----------SSS NEW

#$::PLTFRM               = InstallUtils->get_OSName();
if(NodeUtils->isLinux()==1){
    $::PLTFRM            = "Linux";
}
elsif(NodeUtils->isAIX()==1){
    $::PLTFRM            = "AIX";
}

# These variables are required to determine which .pm files to load
# They are used by get_DistributionVersion, get_PkgArchitecture & get_CSMVersion
if ($::PLTFRM eq "AIX") {
    $::UNAME             = "/bin/uname";
    $::RPMCMD            = "/bin/rpm";
    $::LSLPP             = "/bin/lslpp";
}
elsif ($::PLTFRM eq "Linux") {
    $::UNAME             = "/bin/uname";
    $::RPMCMD            = "/bin/rpm";
}

$::DISTRIBUTION= NodeUtils->distribution();

# List of supported distributions
@::VALID_DISTROS  = (
                  'RedHat 7.2',
                  'RedHat 7.3',
                  'RedHatAS 2.1',
                  'RedHat 8.0',
                  'SuSE 8.0',
                  'SuSE 8.1',
                  'SLES 7.2',
                  'SLES 8.1',
                  );
@::VALID_AIX_DISTROS = (
                  'AIX5.1',
                  'AIX5.1.0',
                  'AIX5.2',
                  'AIX5.2.0',
                  );
@::VALID_CSM_DISTROS = (
                  '1.1.0',
                  '1.1.1',
                  '1.2.0',
                  '1.3.0',
                  '1.3.1',
                  );


$::DISTRO = "";
@::valid_powermethod=();
@::valid_console=();

1;
